# Uses of Interface
org.eclipse.ui.IInPlaceEditor

Packages that use IInPlaceEditor
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IInPlaceEditor in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IInPlaceEditor
Modifier and Type
Method
Description
`void`
IInPlaceEditorInput.`setInPlaceEditor(IInPlaceEditor editor)`
Sets the in-place editor this input is associated with.

## Uses of IInPlaceEditor in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type IInPlaceEditor
Modifier and Type
Method
Description
`void`
FileInPlaceEditorInput.`setInPlaceEditor(IInPlaceEditor editor)`